function displaySelectPixels( I, p, patchSize )

    % ====== indices of selected patches ======
    BW = zeros(size(I));
    BW = BW(1:end-patchSize+1,1:end-patchSize+1);
    BW(p==1) = 1;
    BW = padarray(BW,[patchSize-1, patchSize-1],'replicate','post');   
    
    for i = 1:patchSize
        for j = 1:patchSize
            Temp = zeros(size(I)-[patchSize-1, patchSize-1]);
            Temp(p==1) = 1;
            if i ==round(patchSize/2) && j == round(patchSize/2)
                BW(i:end-patchSize+i,j:end-patchSize+j) = BW(i:end-patchSize+i,j:end-patchSize+j) + Temp;
            end
            
%             if i ==1|| j ==1 || i ==patchSize || j == patchSize
%                 BW(i:end-patchSize+i,j:end-patchSize+j) = BW(i:end-patchSize+i,j:end-patchSize+j) + Temp;
%             end
            
%             BW(i:end-patchSize+i,j:end-patchSize+j) = BW(i:end-patchSize+i,j:end-patchSize+j) + Temp;
        end
    end
    BW(BW(:)>0) = 1;
    
    R = I; G = I; B= I;
%    color = [255, 51, 51];
    color = [102, 255, 102];
    ucolor = [255, 26, 26];
    
    R(BW(:)==1) = color(1)/255;
    G(BW(:)==1) = color(2)/255;
    B(BW(:)==1) = color(3)/255;
    
    
%     R(BW(:)==0) = ucolor(1)/255;
%     G(BW(:)==0) = ucolor(2)/255;
%     B(BW(:)==0) = ucolor(3)/255;
    
    Y = cat(3,R,G,B);
    figure;imshow(Y,[]);
    
end

