function [ DD ] = generateDD( patchSize )
    % =====  [-1/2,0,1/2]; =====
    kh = [-1/2,0,1/2];
    kv = kh';
    Dh = convmtx2(kh,patchSize,patchSize);%generate horizontal derivative opeator (using matrix)
    Dv = convmtx2(kv,patchSize,patchSize);
    DD = Dh'*Dh+Dv'*Dv;
end

